Package org.stianloader.micromixin.transform.internal.util.smap

## Class StratumSection

- java.lang.Object
- - org.stianloader.micromixin.transform.internal.util.smap.AbstractSMAPSection
  - - org.stianloader.micromixin.transform.internal.util.smap.StratumSection

    public class StratumSection
    extends AbstractSMAPSection

### Constructor Summary

Constructors
`StratumSection​(java.lang.String stratumId)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getStrataId()`
`java.lang.StringBuilder` `pushContents​(java.lang.StringBuilder sharedBuilder)`

### Methods inherited from class org.stianloader.micromixin.transform.internal.util.smap.AbstractSMAPSection

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### StratumSection

    public StratumSection​(@NotNull
                          java.lang.String stratumId)

### Method Detail

#### getStrataId

    @Contract(pure=true)
    public java.lang.String getStrataId()

#### pushContents

    @NotNull
    @Contract(mutates="param1",
              pure=false,
              value="!null -> param1; null -> fail")
    public java.lang.StringBuilder pushContents​(@NotNull
                                                java.lang.StringBuilder sharedBuilder)

Specified by:
  `pushContents` in class `AbstractSMAPSection`